import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/rohithbollareddy/0b43c27b587e1e49fc4cc332442f3fe6/raw/d243b7a24d1f71332b09572462a5679aea5d8e80/England%2520Topology';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};